#!/bin/bash

# 定义数据库连接参数
DB_USER="root"
DB_PASSWORD="Simba.123456"
DB_NAME="simba-inxx-server"

# 定义表名
TABLES=("tt_task_sort_info_20230328" "tt_task_sort_info_20230328_copy1")

# 计算七天前的时间戳
SEVEN_DAYS_AGO=$(date -d '7 days ago' +%Y-%m-%d)

# 遍历每个表并执行删除操作
for table in "${TABLES[@]}"
do
# 构建 SQL 删除语句
DELETE_SQL="DELETE FROM $table WHERE date_column < '$SEVEN_DAYS_AGO';"

# 使用 mysql 命令行工具执行 SQL 语句
echo "$DELETE_SQL" | mysql -u$DB_USER -p$DB_PASSWORD $DB_NAME --verbose
done
